Bug 1287446 - perl-Authen-Krb5-Admin needs rebuild for new krb5-libs
perl-Authen-Krb5-Admin needs rebuild for new krb5-libs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-Authen-Krb5-Admin (Show other bugs)
23
Unspecified Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-02 01:18 EST by J. Randall Owens
Modified: 2015-12-11 18:52 EST (History)
4 users (show)

See Also:
Fixed In Version: perl-Authen-Krb5-Admin-0.17-10.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-11 18:52:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description J. Randall Owens 2015-12-02 01:18:33 EST
Description of problem:
krb5-libs can't be upgraded with the current perl-Authen-Krb5-Admin installed.

Version-Release number of selected component (if applicable):
0.17-9.fc23
also for reference, the new krb5-libs-1.14-2.fc23, the old krb5-libs-1.13.2-13.fc23

How reproducible:
consistently

Steps to Reproduce:
1. have old krb5-libs & perl-Authen-Krb5-Admin installed (release version would presumably (not) work also)
2. dnf upgrade --refresh

Actual results:
Skipping packages with broken dependencies:...

Expected results:
upgrade

Additional info:
# dnf upgrade --best
...
Error: package perl-Authen-Krb5-Admin-0.17-9.fc23.x86_64 requires libkadm5clnt_mit.so.9()(64bit), but none of the providers can be installed

$ rpm -q --provides krb5-libs-1.14-2.fc23.x86_64
...
libkadm5clnt_mit.so.10()(64bit)
Comment 1 Petr Pisar 2015-12-02 07:57:12 EST
I've already fixed in F24. I wouldn't expect kbr5 maintainers would push the incompatible version into F23 too.
Comment 2 Fedora Update System 2015-12-02 08:08:46 EST
perl-Authen-Krb5-Admin-0.17-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-81c3ec5a09
Comment 3 Fedora Update System 2015-12-03 20:37:09 EST
perl-Authen-Krb5-Admin-0.17-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Authen-Krb5-Admin'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-81c3ec5a09
Comment 4 Fedora Update System 2015-12-11 18:52:07 EST
perl-Authen-Krb5-Admin-0.17-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.